summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoel Sherrill <joel.sherrill@OARcorp.com>1999-10-20 15:29:35 +0000
committerJoel Sherrill <joel.sherrill@OARcorp.com>1999-10-20 15:29:35 +0000
commit5f7b1180c02ae2c99b2df1782f5c640a100b24d0 (patch)
tree13043c22c6b92f94da48b3bb417216112e10fca2
parent10629f743599b259f03b74a376cf71f321469e0c (diff)
downloadrtems-5f7b1180c02ae2c99b2df1782f5c640a100b24d0.tar.bz2
Restored joel's changes after merging old version from Ralf.
-rw-r--r--scripts/buildall109
1 files changed, 90 insertions, 19 deletions
diff --git a/scripts/buildall b/scripts/buildall
index b4b3c69091..4da2e25b97 100644
--- a/scripts/buildall
+++ b/scripts/buildall
@@ -3,6 +3,8 @@
# Generate all the specs and then cycle through building them.
#
+RTEMS_DIR=`dirname $0`
+
# This is the full list .. hppa1.1 does not build now.
#ALL_TARGETS="hppa1.1-rtems i386-rtems i960-rtems m68k-rtems \
# m68k-rtemself mips64orion-rtems \
@@ -15,7 +17,38 @@ ALL_TARGETS="i386-rtems i960-rtems m68k-rtems \
# This is what we are building this time
#TARGETS=${ALL_TARGETS}
-TARGETS="i386-rtems m68k-rtems powerpc-rtems sh-rtems"
+TARGETS="sh-rtems"
+
+testing=no
+
+binutils=990901
+gcc=2.95.1
+gdb=4.18
+newlib=1.8.2
+buildroot=/opt/tmp
+
+#
+# Now get started
+#
+start=`date`
+
+
+echo PATH=$PATH
+
+if [ ${testing} = yes ] ; then
+ ECHO=echo
+fi
+
+installed_count=`rpm -qa | grep rtems | wc -l`
+if [ ${installed_count} -ne 0 ] ; then
+ echo This script should be run with NO rtems RPMs installed.
+ echo It appears that the following rtems RPMs are installed:
+ echo
+ rpm -qa | grep rtems
+ echo
+ echo Please remove these and restart this script.
+ exit 1
+fi
# Some linux distributions use /usr/src/packages
# redhat uses /usr/src/redhat
@@ -34,41 +67,79 @@ fi
# Now generate all the specs
for target in ${TARGETS}
do
- ./mkspec ${target}
+ ${ECHO} ${RTEMS_DIR}/mkspec ${target}
done
# clean up a bit before we start
cd ${dst}
test -d log || mkdir log
-# do all the binutils
+
+# do all the tools
for target in ${TARGETS}
do
- rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-binutils.spec >log/${target}-binutils 2>&1
- rm -rf ${dst}/../BUILD/${target}-binutils
- rm -rf /opt/tmp/opt
+ logfile=log/${target}-binutils
+ specfile=${dst}/${target}-binutils-${binutils}.spec
+ echo "rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1"
+ if [ ${testing} = no ] ; then
+ rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1
+ fi
+ ${ECHO} rm -rf ${dst}/../BUILD/${target}-binutils*
+ ${ECHO} rm -rf ${buildroot}/opt
# now build gdb
- rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-gdb.spec >log/${target}-gdb 2>&1
- rm -rf ${dst}/../BUILD/${target}-gdb
- rm -rf /opt/tmp/opt
+ logfile=log/${target}-gdb
+ specfile=${dst}/${target}-gdb-${gdb}.spec
+ echo "rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1"
+ if [ ${testing} = no ] ; then
+ rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1
+ fi
+ ${ECHO} rm -rf ${dst}/../BUILD/${target}-gdb*
+ ${ECHO} rm -rf ${buildroot}/opt
# now build gcc/newlib
# NOTE: This requires having binutils installed and we immediately
# remove it once finished.
- rpm -i ${dst}/../RPMS/i386/${target}-binutils-19991011-0.i386.rpm
+ ${ECHO} rpm -i ${dst}/../RPMS/i386/${target}-binutils-${binutils}-0.i386.rpm
- rpm -ba --buildroot=/opt/tmp \
- ${dst}/${target}-gcc_newlib.spec >log/${target}-gccnewlib 2>&1
- rm -rf ${dst}/../BUILD/${target}-gcc_newlib
- rm -rf /opt/tmp/opt
+ logfile=log/${target}-gccnewlib
+ specfile=${dst}/${target}-gcc-${gcc}-newlib-${newlib}.spec
+ echo "rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1"
+ if [ ${testing} = no ] ; then
+ rpm -ba --buildroot=${buildroot} ${specfile} >${logfile} 2>&1
+ fi
+ ${ECHO} rm -rf ${dst}/../BUILD/${target}-gcc*
+ ${ECHO} rm -rf ${buildroot}/opt
- rpm -e `rpm -qa | grep rtems`
+ echo uninstalling binutils for ${target}
+ if [ ${testing} = no ] ; then
+ rpm -e `rpm -qa | grep rtems`
+ fi
done
-mv ${dst}/../RPMS/i386/*.rpm /usr3/rtems_cds/test_cd/RPMS
-mv ${dst}/../SRPMS/*.rpm /usr3/rtems_cds/test_cd/SRPMS
+staging_dir=/usr3/rtems_cds/test_cd/linux
+
+${ECHO} mkdir ${staging_dir}
+${ECHO} mkdir ${staging_dir}/RPMS
+${ECHO} mkdir ${staging_dir}/SRPMS
+
+echo Moving RPMs to CD staging directory
+for file in `ls -1 ${dst}/../RPMS/i386/*.rpm 2>/dev/null`
+do
+ ${ECHO} mv ${file} ${staging_dir}/RPMS
+done
+
+echo Moving SRPMs to CD staging directory
+for file in `ls -1 ${dst}/../SRPMS/*.rpm 2>/dev/null`
+do
+ ${ECHO} mv ${file} ${staging_dir}/SRPMS
+done
+
+# Now we are done
+
+stop=`date`
+echo
+echo "Started: " $start
+echo "Finished: " $stop
exit 0